import { Component, OnInit, ViewChild } from '@angular/core';
import { IgxGridComponent, changei18n} from "igniteui-angular";
import { IgxResourceStringsJA } from 'igniteui-angular-i18n';
import { DATA } from "./data";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit{
  @ViewChild("grid1", { read: IgxGridComponent, static: true })
  public grid1: IgxGridComponent;

  public data;

  constructor() {
    this.data = DATA;
  }

  public ngOnInit() {
    changei18n(IgxResourceStringsJA);
  }

  doBeginAddRow(evt){
  //  this.grid1.navigateTo(0);
  //  setTimeout(() => {
      const row = this.grid1.getRowByIndex(0);
      row.beginAddRow();
  //  }, 0);

  }
}
